#ifndef EDITXLINKDIALOG_H
#define EDITXLINKDIALOG_H

#include "ui_editxlinkdialog.h"

class EditXLinkDialog:public QDialog
{
	Q_OBJECT
public:
	EditXLinkDialog (QWidget *parent=0);
	void setXLink (XLinkObj *);
	void setSelection (LinkableMapObj *);
	bool useSettingsGlobal();
	bool deleteXLink();

private slots:
	void deleteButtonPressed();
	void widthChanged (int);
	void colorButtonPressed();
	void setColorHeadingButtonPressed ();

private:
	Ui::EditXLinkDialog ui;
	bool delink;
	XLinkObj *xlo;
	LinkableMapObj *selection;
};

#endif // EDITXLINKDIALOG_H
