TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release
CONFIG += x86 ppc
ICON =vym.icns

QT += qt3support

HEADERS	+= \	
	aboutdialog.h \
	api.h \
	branchobj.h \
	editxlinkdialog.h \
	exportoofiledialog.h \
	exportxhtmldialog.h\
	exports.h \
	extrainfodialog.h \
	file.h \
	findwindow.h \
	flagobj.h \
	flagrowobj.h \
	floatimageobj.h \
	floatobj.h \
	frameobj.h \
	headingobj.h \
	historywindow.h \
	imageobj.h \
	imports.h \
	linkablemapobj.h \
	xlinkobj.h \
	mainwindow.h \
	mapcenterobj.h \
	mapeditor.h \
	mapobj.h \
	misc.h \
	noteobj.h \
	options.h \
	ornamentedobj.h \
	process.h \
	showtextdialog.h\
	selection.h \
	texteditor.h \
	version.h \
	xml.h \
	xsltproc.h \
	settings.h \
	warningdialog.h

SOURCES	+= \
	aboutdialog.cpp \
	api.cpp \
	branchobj.cpp \
	editxlinkdialog.cpp \
	exportoofiledialog.cpp \
	exports.cpp \
	exportxhtmldialog.cpp \
	extrainfodialog.cpp \
	file.cpp \
	findwindow.cpp \
	flagobj.cpp \
	flagrowobj.cpp \
	floatimageobj.cpp \
	floatobj.cpp \
	frameobj.cpp \
	headingobj.cpp \
	historywindow.cpp \
	imageobj.cpp \
	imports.cpp \
	linkablemapobj.cpp \
	xlinkobj.cpp \
	main.cpp \
	mainwindow.cpp \
	mapcenterobj.cpp \
	mapeditor.cpp \
	mapobj.cpp \
	misc.cpp \
	noteobj.cpp \
	options.cpp \
	ornamentedobj.cpp \
	process.cpp \
	showtextdialog.cpp \
	selection.cpp \
	texteditor.cpp \
	version.cpp \
	xml.cpp \
	xsltproc.cpp \
	settings.cpp \
	warningdialog.cpp 

FORMS = \
	exportxhtmldialog.ui \
	extrainfodialog.ui \
	editxlinkdialog.ui \
	historywindow.ui \
	showtextdialog.ui \
	warningdialog.ui

#The following lines were inserted by qt3to4
QT += xml  

TARGET  = vym

TRANSLATIONS += lang/vym_de.ts
TRANSLATIONS += lang/vym_en.ts
TRANSLATIONS += lang/vym_es.ts
TRANSLATIONS += lang/vym_it.ts

count( INSTALLDIR, 0 ) {
	INSTALLDIR = /usr/local
}

message( "Installation directory" )
message( $$INSTALLDIR )


target.path = $${INSTALLDIR}/bin
INSTALLS += target

support.files = styles/ scripts/ icons/ flags/ lang/
support.path = $${INSTALLDIR}/share/vym
INSTALLS += support 

doc.files = tex/vym.pdf 
doc.path = $${INSTALLDIR}/share/doc/packages/vym
INSTALLS += doc

demo.files = demos/
demo.path = $${INSTALLDIR}/share/doc/packages/vym
INSTALLS += demo

exports.files = exports/
exports.path =$${INSTALLDIR}/share/vym
INSTALLS += exports


